Package org.eclipse.lemminx.extensions.entities

## Enum EntitiesDocumentationUtils.PredefinedEntity

- java.lang.Object
- - java.lang.Enum<EntitiesDocumentationUtils.PredefinedEntity>
  - - org.eclipse.lemminx.extensions.entities.EntitiesDocumentationUtils.PredefinedEntity

All Implemented Interfaces:
  `Serializable`, `Comparable<EntitiesDocumentationUtils.PredefinedEntity>`

Enclosing class:
  EntitiesDocumentationUtils

    public static enum EntitiesDocumentationUtils.PredefinedEntity
    extends Enum<EntitiesDocumentationUtils.PredefinedEntity>

Predefined entities.

### Enum Constant Summary

Enum Constants
`amp`
`apos`
`gt`
`lt`
`quot`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getName()`
`String` `getValue()`
`static EntitiesDocumentationUtils.PredefinedEntity` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static EntitiesDocumentationUtils.PredefinedEntity[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### lt

    public static final EntitiesDocumentationUtils.PredefinedEntity lt

#### gt

    public static final EntitiesDocumentationUtils.PredefinedEntity gt

#### amp

    public static final EntitiesDocumentationUtils.PredefinedEntity amp

#### apos

    public static final EntitiesDocumentationUtils.PredefinedEntity apos

#### quot

    public static final EntitiesDocumentationUtils.PredefinedEntity quot

### Method Detail

#### values

    public static EntitiesDocumentationUtils.PredefinedEntity[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (EntitiesDocumentationUtils.PredefinedEntity c : EntitiesDocumentationUtils.PredefinedEntity.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static EntitiesDocumentationUtils.PredefinedEntity valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getName

    public String getName()

#### getValue

    public String getValue()